CreateWebhookEndpointRequest
Request body for creating a public webhook endpoint.
- authrequired
Outbound auth configuration used when Augment delivers webhooks to your endpoint. This is not the same as the API key auth used to call Augment.
Bearer token authentication for webhook delivery requests.
- typeDiscriminatorenumconst:bearerTokenrequired
Bearer token auth.
- tokenType: stringrequired
Secret token sent as
Authorization: Bearer <token>on webhook delivery. This token is never returned by read or list responses.
- urlType: stringFormat: urirequired
HTTPS URL that receives Augment webhook deliveries
- customType: nullable
Headers Properties: 1Optional custom headers sent with webhook deliveries
- nameType: string
Optional display name for the endpoint